%define GPC_VERSION	19990118	
%define EGCS_VERSION	1.1.2

Summary:	GNU Pascal
Name:		gpc
Version:	%{GPC_VERSION}
Release:	2rh6
Copyright:	GPL
Group:		Development/Languages
Source0:	ftp://egcs.cygnus.com/pub/egcs/releases/egcs-%{EGCS_VERSION}/egcs-%{EGCS_VERSION}.tar.bz2
Source1:        ftp://agnes.dida.physik.uni-essen.de/gnu-pascal/beta/gpc-%{GPC_VERSION}.tar.gz
Patch0:		ftp://ftp.varesearch.com/pub/support/hjl/egcs/egcs-1.1.2-linux.patch
Patch1:		egcs-1.1.2-davem.patch
Patch2:		egcs-1.1.2-gcse.patch
Requires:	binutils >= 2.9.1.0.21
Buildroot:	/var/tmp/gpc-%{GPC_VERSION}-root
Url:		http://agnes.dida.physik.uni-essen.de/~gnu-pascal/
Prereq:		/sbin/install-info
BuildPreReq:	autoconf

%description
A Pascal compiler based on the egcs %{EGCS_VERSION} compiler.

If egcs %{EGCS_VERSION} is not installed, be sure to install the
package gpc-extras as well.

GNU Pascal is part of the GNU compiler family, GNU CC or GCC.
It combines a Pascal front-end with the proven GNU C back-end
for code generation and optimization.  Unlike utilities such
as p2c, this is a true compiler, not just a converter.

%package	extras
Summary:	Files which conflict with egcs
Group:		Development/Languages
Requires:	gpc

%description	extras
These files are common between GPC and egcs. If you do not have egcs installed,
be sure to install this package as well when you install egcs. Note that on
RedHat Linux 6.x it is almost certain you already have egcs installed.


%prep
%setup -q -n egcs-%{EGCS_VERSION} -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
mv gpc/p gcc/.
rmdir gpc
cd gcc
patch -s -p1 < p/diffs/gcc-egcs-2.91.60.diff

%build
./configure	--prefix=/usr --with-local-prefix=/usr/local \
		--enable-shared --enable-threads \
		$RPM_ARCH-redhat-linux

PATH=$PATH:/sbin:/usr/sbin
# gperf is most likely broken on alpha and sparc
touch  gcc/c-gperf.h

make "LANGUAGES=pascal"

%install
cd gcc
rm -rf $RPM_BUILD_ROOT
PATH=$PATH:/sbin:/usr/sbin
make pascal.install prefix=$RPM_BUILD_ROOT/usr
strip $RPM_BUILD_ROOT/usr/bin/*

rm -f $RPM_BUILD_ROOT/usr/info/dir
gzip -n -9f $RPM_BUILD_ROOT/usr/info/*.info*

tar -cf p/doc/manual.texi.tar p/doc/*.texi
gzip -n -9f p/doc/manual.texi.tar

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info --info-dir=/usr/info /usr/info/gpc.info.gz \
 --entry="* gpc: (gpc).                   The GNU Pascal compiler."

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete --info-dir=/usr/info /usr/info/gpc.info.gz
fi

%files
%defattr(0644, root, root, 0755)
%doc gcc/p/README p/COPYING gcc/p/COPYING.LIB gcc/p/ChangeLog
%doc gcc/p/FAQ p/INSTALL gcc/p/doc/TODO
%doc gcc/p/doc/manual.texi.tar.gz
%doc gcc/p/demos gcc/p/test
%attr(0755, root, root) /usr/bin/*
/usr/info/gpc*
/usr/man/man1/*
%attr(0755, root, root) /usr/lib/gcc-lib/%{_target_cpu}-redhat-linux/egcs-*/gpc-cpp
%attr(0755, root, root) /usr/lib/gcc-lib/%{_target_cpu}-redhat-linux/egcs-*/gpc1
/usr/lib/gcc-lib/%{_target_cpu}-redhat-linux/egcs-*/libgpc.a
/usr/lib/gcc-lib/%{_target_cpu}-redhat-linux/egcs-*/units

%files extras
%defattr(0644, root, root, 0755)
/usr/lib/gcc-lib/%{_target_cpu}-redhat-linux/egcs-*/crtbegin.o
/usr/lib/gcc-lib/%{_target_cpu}-redhat-linux/egcs-*/crtbeginS.o
/usr/lib/gcc-lib/%{_target_cpu}-redhat-linux/egcs-*/crtend.o
/usr/lib/gcc-lib/%{_target_cpu}-redhat-linux/egcs-*/crtendS.o
/usr/lib/gcc-lib/%{_target_cpu}-redhat-linux/egcs-*/libgcc.a
/usr/lib/gcc-lib/%{_target_cpu}-redhat-linux/egcs-*/specs

%changelog
* Sat Jul 17 1999 Peter Soos <sp@osb.hu>
- Rebuilt under RedHat Linux 6.0 with egcs
* Wed May 13 1999 Jos Romildo Malaquias <romildo@iceb.ufop.br>
- first buld
